package nc.ui.pu.m25.editor.card.beforeedit;

import java.util.Map;

import nc.ui.pu.m25.editor.card.beforeedit.header.Supplier;
import nc.ui.pu.m25.editor.card.beforeedit.header.AccountBank;
import nc.ui.pu.m25.editor.card.beforeedit.header.BizPerson;
import nc.ui.pu.m25.editor.card.beforeedit.header.Dept;
import nc.ui.pu.m25.editor.card.beforeedit.header.EditableByVAT;
import nc.ui.pu.m25.editor.card.beforeedit.header.ExchangeRate;
import nc.ui.pu.m25.editor.card.beforeedit.header.FreeCust;
import nc.ui.pu.m25.editor.card.beforeedit.header.InvoiceTranstype;
import nc.ui.pu.pub.editor.card.beforeedit.GlobalExchangeRate;
import nc.ui.pu.pub.editor.card.beforeedit.GroupExchangeRate;
import nc.ui.pu.pub.editor.card.handler.AbstractCardHeadTailBeforeEditEventHandler;
import nc.ui.pu.pub.editor.card.listener.ICardHeadTailBeforeEditEventListener;

public class CardHeadTailBeforeEditEventHandler extends AbstractCardHeadTailBeforeEditEventHandler {
	public void registerEventListener(Map<String, ICardHeadTailBeforeEditEventListener> listenerMap) {
		listenerMap.put("ctrantypeid", new InvoiceTranstype());
		listenerMap.put("pk_bankaccbas", new AccountBank());
		listenerMap.put("pk_bizpsn", new BizPerson());
		listenerMap.put("pk_dept_v", new Dept());
		listenerMap.put("nexchangerate", new ExchangeRate());
		listenerMap.put("nglobalexchgrate", new GlobalExchangeRate());
		listenerMap.put("ngroupexchgrate", new GroupExchangeRate());
		listenerMap.put("pk_freecust", new FreeCust());
		listenerMap.put("csendcountryid", new EditableByVAT());
		listenerMap.put("crececountryid", new EditableByVAT());
		listenerMap.put("ctaxcountryid", new EditableByVAT());
		listenerMap.put("ctaxcountryid", new EditableByVAT());
		listenerMap.put("pk_supplier",new Supplier());
	}
}